<template>
  <base-form slot="content" ref="ruleForm" :data="searchData">
    <div slot="footer">
      <el-button :loading="listLoading" icon="el-icon-search" class="xl-form-btn bgc1" @click="searchHandle">查询</el-button>
      <el-button :loading="listLoading" icon="el-icon-document" class="xl-form-btn bgc2" @click="toExportExcel">导出</el-button>
    </div>
  </base-form>
</template>
<script>
export default {
  mixins: [],
  props: {
    listLoading: Boolean
  },
  inject: ['parentData'],
  data() {
    return {
      searchData: [
        { label: '时间', label2: '开始时间', label3: '结束时间', key: 'startEndTime', type: 'datePicker'},
        { label: '手机号', key: 'phone' },
        { label: '昵称', key: 'nickname' },
        { label: '渠道码', key: 'dept_code' },
      ]
    }
  },
  methods: {
    searchHandle() {
      const oldform = this.$refs.ruleForm.baseForm
      const newForm = { ...oldform }
      if (newForm.startEndTime) {
        newForm.start_at = newForm.startEndTime[0]
        newForm.end_at = newForm.startEndTime[1]
      }
      delete newForm.startEndTime
      this.$emit('change', newForm)
    },
    toExportExcel () {
      const oldform = this.$refs.ruleForm.baseForm
      const newForm = { ...oldform }
      if (newForm.startEndTime) {
        newForm.start_at = newForm.startEndTime[0]
        newForm.end_at = newForm.startEndTime[1]
        delete newForm.startEndTime
      } else {
        this.$msgw('请选择导出的时间范围')
        return
      }
      const token = window.sessionStorage.getItem('fp_token')
      window.open(`https://api.fangpiaovip.com/adm/dept/export?token=${encodeURIComponent(token)}&start_at=${newForm.start_at}&end_at=${newForm.end_at}`)
    }
  }
}
</script>
